Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIEcho

    java.lang.Object
      org.apache.catalina.ssi.SSIEcho

All Implemented Interfaces:
  SSICommand

public class SSIEcho
extends java.lang.Object
implements SSICommand

Return the result associated with the supplied Server Variable.

Version:
  $Revision: 1.1.1.1 $, $Date: 2002/07/18 16:47:50 $
Author:
  Bip Thelin, Dan Sandberg

Field Summary
`protected static java.lang.String` | `DEFAULT_ENCODING`
`protected static java.lang.String` | `MISSING_VARIABLE_VALUE`

Constructor Summary
`SSIEcho()`

Method Summary
`protected boolean` | `isValidEncoding(java.lang.String encoding)`
`void` | `process(SSIMediator ssiMediator, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    protected static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### MISSING_VARIABLE_VALUE

    protected static final java.lang.String MISSING_VARIABLE_VALUE

See Also:
  Constant Field Values

Constructor Detail

### SSIEcho

    public SSIEcho()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  See Also:
    `SSICommand`

### isValidEncoding

    protected boolean isValidEncoding(java.lang.String encoding)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.